Bug 280041 - Please branch revisor for EPEL5
Please branch revisor for EPEL5
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: revisor (Show other bugs)
7
All Linux
medium Severity low
: ---
: ---
Assigned To: Jonathan Steffan
Fedora Extras Quality Assurance
: Reopened
: 425830 (view as bug list)
Depends On: 382401
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-06 02:15 EDT by Jonathan Steffan
Modified: 2008-05-15 15:15 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-15 15:15:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jonathan Steffan 2007-09-06 02:15:52 EDT
Description of problem:
We need revisor branched for EPEL5. Thanks.

Version-Release number of selected component (if applicable):
From the devel branch please.
Comment 1 Jonathan Steffan 2007-09-06 02:20:53 EDT
Package Change Request
======================
Package Name: revisor
New Branches: EL-5
Comment 2 Kevin Fenzi 2007-09-06 15:52:08 EDT
cvs done.
Comment 3 Patrick C. F. Ernzer 2007-11-09 12:21:00 EST
Am I just looking badly or is this not live on EPEL yet?
Comment 4 Jonathan Steffan 2007-11-09 12:36:13 EST
I've just sent off a build of 2.0.5, 2.0.4.3 was already in CVS, not sure if a
build had been sent off. Please let us know if 2.0.5 even runs... it should, but
I've been doing release testing from F7.
Comment 5 Patrick C. F. Ernzer 2007-11-14 08:49:44 EST
today revisor is not installable from epel5-testing because livecd-tools is
missing. Bug 382401 has been filed, asking for livecd-tools.

Will test revisor as soon as it can be installed.
Comment 6 Patrick C. F. Ernzer 2007-11-15 10:20:54 EST
Bug 382401 tells us that livecd-tools will not happen for epel5
so, if revisor can work in a 'make ISO but not liveCD' way without livecd-tools,
can you please adjust the Requires for the epel5 branch.
if OTOH revisor cannot function without livecd-tools, then I guess we need to
pull revisor from epel5 :-(
Comment 7 Jonathan Steffan 2007-11-15 17:28:09 EST
I think the only thing we would need to pull into revisor is mayflower. We've
addressed the known issues stated in #382401
Comment 8 Jeroen van Meeuwen 2007-11-17 10:26:37 EST
Jon, should we branch EL-5 upstream and remove live media options?
Comment 9 Jonathan Steffan 2007-11-17 17:30:24 EST
I'd prefer to pull mayflower into revisor to enable live image creation over
adding another branch to support EL-5 without live creation.
Comment 10 Jonathan Steffan 2007-12-28 16:39:57 EST
I'll work to pull in mayflower now and send off a build.
Comment 11 Jonathan Steffan 2007-12-28 17:17:11 EST
*** Bug 425830 has been marked as a duplicate of this bug. ***
Comment 12 Jonathan Steffan 2007-12-28 17:25:30 EST
OK, this will need testers. If I find some time, I'll provision a el5 guest to
do a test.

http://buildsys.fedoraproject.org/build-status/job.psp?uid=37687
Comment 13 Patrick C. F. Ernzer 2008-01-08 10:46:24 EST
in response to comment #12

the package from epel-testing installs fine but fails to start for me

# yum --enablerepo=epel-testing install revisor
[...]
# rpm -qa revisor\*
revisor-comps-2.0.5-15.el5
revisor-2.0.5-15.el5
# rpm -V revisor revisor-comps
# revisor
Traceback (most recent call last):
  File "/usr/sbin/revisor", line 43, in ?
    import revisor.base
  File "/usr/lib/python2.4/site-packages/revisor/base.py", line 34, in ?
    import revisor.cfg
  File "/usr/lib/python2.4/site-packages/revisor/cfg.py", line 37, in ?
    import kickstart
  File "/usr/lib/python2.4/site-packages/revisor/kickstart.py", line 29, in ?
    class RevisorKickstart:
  File "/usr/lib/python2.4/site-packages/revisor/kickstart.py", line 134, in
RevisorKickstart
    def _group(self, name = "", include = constants.GROUP_DEFAULT):
AttributeError: 'module' object has no attribute 'GROUP_DEFAULT'
# 

What should I do to debug this further?
Comment 14 Bug Zapper 2008-05-14 10:15:11 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Thorsten Leemhuis 2008-05-15 15:15:24 EDT
(In reply to comment #14)
> This message is a reminder that Fedora 7 is nearing the end of life. 

This bug looks confusing in any case; there might be still open issues, but I
suspect they are better acted upon in a separate bug

Note You need to log in before you can comment on or make changes to this bug.